class Gem::Specification
  class GemfileEvaluator
    def initialize(scope)
      @scope = scope
    end
    
    def load_dependencies(path)
      instance_eval File.read(path) 
    end
    
    def source(*args); end
    def group(*args); end

    def gem(name, options = {})
      @scope.add_dependency(name)
    end
  end
  
  def load_dependencies(file)
    GemfileEvaluator.new(self).load_dependencies(file)
  end
end

Gem::Specification.new do |gem|
  gem.name          = "micro_sql"
  gem.authors       = ["radiospiel"]
  gem.email         = ["eno@open-lab.org"]
  gem.description   = "You only need a single method to talk to your database..."
  gem.summary       = gem.description
  gem.homepage      = "http://github.com/radiospiel/micro_sql"
  gem.licenses      = ["MIT"]

  gem.load_dependencies "Gemfile"
  
  gem.files         = `git ls-files`.split($\)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ["lib"]
  gem.version       = "0.4.3"
  gem.date          = Time.now.strftime "%Y-%m-%d" 

  gem.extra_rdoc_files = [
    "LICENSE.txt",
    "README.rdoc"
  ]
end
